For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar suscripciones
      • GETObtener una suscripción
      • PUTActualizar una suscripción
      • DELCancelar una suscripción
LogoLogo
Referencia APISubscriptions

Obtener una suscripción

GET
https://app.recurrente.com/api/subscriptions/:id
GET
/api/subscriptions/:id
$curl https://app.recurrente.com/api/subscriptions/id \
> -H "X-SECRET-KEY: <apiKey>"
200Retrieved
1{
2 "id": "su_nehndm7j",
3 "description": "One Free-Testable Banana",
4 "status": "active",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "current_period_start": "2024-01-15T09:30:00Z",
8 "current_period_end": "2024-01-15T09:30:00Z",
9 "tax_name": "string",
10 "tax_id": "string",
11 "resumes_on": "2023-01-15",
12 "next_payment_attempt_at": "2024-01-15T09:30:00Z",
13 "payment_retries": 0,
14 "default_payment_method": {
15 "id": "pay_m_7v5ie3pw",
16 "type": "card",
17 "card": {
18 "last4": "4242",
19 "network": "visa"
20 }
21 },
22 "subscriber": {
23 "id": "us_rdctav2g",
24 "first_name": "string",
25 "last_name": "string",
26 "full_name": "Fela Kuti",
27 "email": "test@user.com",
28 "phone_number": "string"
29 },
30 "checkout": {
31 "id": "string"
32 },
33 "product": {
34 "id": "string"
35 }
36}

Obtén los detalles de una suscripción específica.

Was this page helpful?
Previous

Actualizar una suscripción

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired

ID de la suscripción

Response

Detalles de la suscripción

idstring

ID único de la suscripción

descriptionstring

Descripción de la suscripción

statusenum

Estado de la suscripción

Allowed values:
created_atdatetime

Fecha de creación

updated_atdatetime

Última actualización

current_period_startdatetime or null

Inicio del período de facturación actual

current_period_enddatetime or null

Fin del período de facturación actual

tax_namestring or null
Nombre fiscal del suscriptor
tax_idstring or null
ID fiscal del suscriptor
resumes_ondate or null

Fecha de reactivación automática (si está pausada)

next_payment_attempt_atdatetime or null

Próximo intento de cobro automático (solo cuando el estado es past_due)

payment_retriesinteger

Número de reintentos de cobro realizados para el período actual

default_payment_methodobject or null

Método de pago predeterminado de la suscripción

subscriberobject
checkoutobject or null
productobject